#
# spec file for package rubygem-bindata
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-bindata
Version:        2.5.0
Release:        1.3
%define mod_name bindata
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.5.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/dmendel/bindata
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A declarative way to read and write binary file formats
License:        BSD-2-Clause

%description
BinData is a declarative way to read and write binary file formats.
This means the programmer specifies *what* the format of the binary
data is, and BinData works out *how* to read and write data in this
format.  It is an easier ( and more readable ) alternative to
ruby's #pack and #unpack methods.

%prep

%build

%install
%gem_install \
  --doc-files="ChangeLog.rdoc LICENSE NEWS.rdoc README.md" \
  -f

%gem_packages

%changelog
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- == Version 2.5.0 (2024-02-16)
  * Removed experimental :check_offset and :adjust_offset parameters.
  * Ruby 2.5 is now required.
  * Allow for nested tracing.
  * Skip :until_valid is now fast for :asserted_value.
  * Added Section - a way to transform the data stream.
  * Added transforms for brotli, lz4, xor, zlib, zstd.
  * Updated to current minitest
  * Fixed typos.  Thanks to Patrick Linnane.
* Thu Nov  2 2023 Dan Čermák <dan.cermak@posteo.net>
- == Version 2.4.15 (2023-02-07)
  * Added ruby 2.4.0 requirement to gemspec.  Thanks to theldoria.
  * Added github CI action.  Thanks to Peter Goldstein.
  * Convert file from latin1 to UTF-8.  Thanks to Cédric Boutillier.
  * Move license from dual license to solely BSD-2-Clause.
  * Remove unnecessary files from gem.  Requested by Orien Madgwick.
  * Allow multiple calls to auto_call_delayed_io.  Thanks to dwelch-r7.
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.4.14
  see installed ChangeLog.rdoc
  == Version 2.4.14 (2022-10-31)
  * Use Comparable#clamp instead of manual calculations.
  * Update tests to new minitest requirements.
  * Adjust tests due to changes in ruby 3.1
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.4.13
  see installed ChangeLog.rdoc
  == Version 2.4.13 (2022-10-16)
  * Relax over-strict parameter naming requirements.  Requested by
    vinayak3qilabs.
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.4.12
  see installed ChangeLog.rdoc
  == Version 2.4.12 (2022-10-03)
  * Do not include DelayedIO objects when :onlyif is false.
  == Version 2.4.11 (2022-09-27)
  * Make DelayedIO work with :onlyif.  Reported by Spencer McIntyre.
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.4.10
  see installed ChangeLog.rdoc
  == Version 2.4.10 (2021-05-18)
  * Improve speed of dynamic object creation.  Reported by Charlie Ablett.
  == Version 2.4.9 (2021-04-22)
  * Change example from Fixnum to Integer.  Thanks to Tim Chambers.
  * Now works with frozen string literals.  Requested by Jeremy Evans.
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 2.4.8
  see installed ChangeLog.rdoc
  == Version 2.4.8 (2020-07-21)
  * Bug fix array self assignment.  Thanks to Spencer McIntyre.
  * Bug fix Stringz max_length.  Thanks to cdelafuente-r7.
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.4.7
  see installed ChangeLog.rdoc
  == Version 2.4.7 (2020-03-31)
  * Fix choice assignment inside arrays.  Reported by Spencer McIntyre.
  == Version 2.4.6 (2020-02-27)
  * More encoding fixes.  Thanks to Aaron Patterson.
  == Version 2.4.5 (2020-02-21)
  * Small typo fixes to examples.
  * Fix encoding issue for ruby 2.7.  Thanks to Aaron Patterson.
  * Quieter test output.
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 2.4.4
  see installed ChangeLog.rdoc
  == Version 2.4.4 (2018-10-03)
  * Display a hint when endian is omitted.  Requested by Tails.
  * Add thread safety to Integer/BitField creation.  Requested by jbpeirce.
  * Ensure windows sockets are unseekable.  Thanks to Brent Cook.
* Tue Mar 20 2018 factory-auto@kulow.org
- updated to version 2.4.3
  see installed ChangeLog.rdoc
  == Version 2.4.3 (2018-03-10)
  * Add Uint8Arrays.  Requested by masarakki.
* Thu Feb  8 2018 coolo@suse.com
- updated to version 2.4.2
  see installed ChangeLog.rdoc
  == Version 2.4.2 (2018-01-31)
  * Allow boolean values as parameters.  Requested by Patrik Wenger.
* Sun Sep  3 2017 coolo@suse.com
- updated to version 2.4.1
  see installed ChangeLog.rdoc
  == Version 2.4.1 (2017-08-30)
  * Fix crash with String :length invoking :rel_offset.  Reported by Claudius
    Coenen.
* Mon Apr 10 2017 coolo@suse.com
- updated to version 2.4.0
  see installed NEWS.rdoc
  = 2.4.0
  This release changes the internal API for sanitizing parameters.  This only
  affects those that implement the `#sanitize_parameters` method.
  = 2.3.x
    if params.needs_sanitizing?(:type)
    el_type, el_params = params[:type]
    params[:type] = params.create_sanitized_object_prototype(el_type, el_params)
    end
  = 2.4.0
    params.sanitize_object_prototype(:type)
* Fri Jan 20 2017 coolo@suse.com
- updated to version 2.3.5
  see installed NEWS.rdoc
* Tue Oct 18 2016 coolo@suse.com
- updated to version 2.3.4
  see installed NEWS.rdoc
* Wed Sep  7 2016 coolo@suse.com
- updated to version 2.3.3
  see installed NEWS.rdoc
* Sat Sep  3 2016 coolo@suse.com
- updated to version 2.3.2
  see installed NEWS.rdoc
* Sat Jun 18 2016 coolo@suse.com
- updated to version 2.3.1
  see installed NEWS.rdoc
* Wed Apr  6 2016 coolo@suse.com
- updated to version 2.3.0
  see installed NEWS.rdoc
  = 2.3.0
  This release adds I/O features.
  Seeking forward to an arbitrary offset is achieved with Skip's :to_abs_offset
  parameter.
  Multi pass I/O has been added.  BinData performs I/O in a single pass.  See
  DelayedIO to perform multi pass (backwards seeking) I/O.
  The experimental :adjust_offset feature has been removed.  If you have existing
  code that uses this feature, you need to explicitly require 'bindata/offset' to
  retain this functionality.
* Sun Jan 31 2016 coolo@suse.com
- updated to version 2.2.0
  see installed NEWS.rdoc
* Tue Apr  7 2015 astieger@suse.com
- initial package of rubygem-bindata generated using gem2rpm
